Get list of identities for an Ownership or Identity collection access review based on ConditionType param
get
/access-governance/access-reviews/20250331/accessReviews/{accessReviewId}/identities
Returns list of identities for an Ownership or Identity collection access review.
Request
Path Parameters
-
accessReviewId(required): string
Unique access review identifier.
Query Parameters
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:10 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
sortBy: string
The field to sort by. The default value will be entityName.Default Value:
entityNameAllowed Values:[ "entityName", "assignmentName", "managerName", "recommendation", "daysRemaining", "campaignName", "appNames", "identityAttributes" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ] -
type(required): string
The type of member identity.Allowed Values:
[ "EXCLUDED", "INCLUDED", "NON_REVIEWABLE" ]
Header Parameters
-
opc-request-id: string
The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
Response
Supported Media Types
- application/json
200 Response
The access review included identities.
Headers
-
opc-next-page: string
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : IdentitySummaryCollection
Type:
objectList of identities.
Show Source
-
items(required):
array items
List of identities.
Nested Schema : items
Type:
arrayList of identities.
Show Source
-
Array of:
object IdentitySummary
The Identity summary.
Nested Schema : IdentitySummary
Type:
objectThe Identity summary.
Show Source
-
agOrganizations:
array agOrganizations
The ag orgs of the Identity.
-
email(required):
string
The email of the Identity.
-
employeeType:
string
The employee type of the Identity.
-
id(required):
string
The ID of the Identity.
-
jobCode:
string
The job code of the Identity.
-
location:
string
The location of the Identity.
-
manager:
string
The manager of the Identity.
-
name(required):
string
The name of the Identity.
-
org:
string
The org of the Identity.
-
ownerType:
string
Allowed Values:
[ "ASSOCIATION", "CONDITION", "EXCLUDED", "INCLUDED", "PRIMARY", "NON_REVIEWABLE" ]ChildType indicating the type of owner (PRIMARY for primary owner or INCLUDED for secondary owner). -
userName:
string
The user name of the Identity.
Nested Schema : agOrganizations
Type:
arrayThe ag orgs of the Identity.
Show Source
-
Array of:
object AgOrgSummary
Ag Org summary.
Nested Schema : AgOrgSummary
Type:
objectAg Org summary.
Show Source
-
displayName(required):
string
The name of the Ag org.
-
value(required):
string
The Id of the Ag org.
400 Response
Bad Request
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
401 Response
Unauthorized
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
404 Response
Not Found
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
429 Response
Too Many Requests
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
500 Response
Internal Server Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Default Response
Unknown Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Examples
The following example shows how to retrieve identity list for an Ownership review or an Identity Collection access control review task. You must include type query parameter.
cURL Example - Included Owners in Ownership Review task
curl -i -X GET \
-H "Authorization:Bearer <your access token>" \
'${service-instance-url}/access-governance/access-reviews/accessReviews/${accessReviewId}/identities?type=INCLUDEDExample of the Response Body
The following example shows the contents of the response body in JSON format:
{
"items": [
{
"id": "globalId.8d51efbf-ab68-4f09-xxxx-7bcc0f9de5be.18.a84836xxxxx02afd63a7fb",
"name": "Amel Maclead",
"email": "amelclead@example.com",
"manager": John Smith,
"org": null,
"employeeType": null,
"jobCode": null,
"location": null,
"userName": null,
"ownerType": "PRIMARY",
"agOrganizations": [
]
}
]
}